# List schools Returns a page of schools that are supported by NSC. The codes originating from National Student Clearinghouse Endpoint: GET /datasets/nsc/schoolCodes Version: 26.2.0.4309 Security: Bearer ## Query parameters: - `name` (string) If set, the items will be filtered on schools with the specified name. - `code` (string) If set, the items will be filtered on schools with the specified code. - `count` (integer) The number of items to include in a single page. - `sortedBy` (string) The property by which the returned data will be sorted. Enum: "Name", "Code" - `sort` (object) If set, the properties and directions the returned data will be sorted by. - `cursor` (string) The cursor to render the page requested. To load the first page send an empty cursor, then the system will generate the cursors to go to the next and/or previous pages automatically. - `sortDirection` (string) The direction the returned data will be sorted by. Enum: "Asc", "Desc" - `offset` (integer) The offset for the page to start. ## Response 200 fields (application/json): - `sort` (object) The properties and directions the data is sorted by. - `sort.Keys` (string) Enum: "Name", "Code" - `sort.Values` (string) Enum: "Asc", "Desc" - `previousCursor` (string) The value to use for cursor to get to the previous paginated page. null will be returned if it's the first page. - `nextCursor` (string) The value to use for cursor to get to the next paginated page. null will be returned if it's the last page. - `pageSize` (integer) The maximum number of items included in this page. - `count` (integer) The number of items in this page. - `totalCount` (integer) The total number of items in all pages combined. - `items` (array) The schools in the current page. - `items.code` (string) Education Federal School Code associated with the school. - `items.branchCode` (string) 2 digit number that identified the specific area of the school. - `items.name` (string) Name of the school. - `items.state` (string) State associated with the school. Enum: "AL", "AK", "AZ", "AR", "CA", "CO", "CT", "DE", "DC", "FL", "GA", "HI", "ID", "IL", "IN", "IA", "KS", "KY", "LA", "ME", "MD", "MA", "MI", "MN", "MS", "MO", "MT", "NE", "NV", "NH", "NJ", "NM", "NY", "NC", "ND", "OH", "OK", "OR", "PA", "RI", "SC", "SD", "TN", "TX", "UT", "VT", "VA", "WA", "WV", "WI", "WY", "AS", "GU", "MP", "PR", "VI" - `items.city` (string) City associated with the school. - `sortedBy` (string) The property by which the data is sorted. Enum: "Name", "Code" - `sortDirection` (string) The direction in which the data is sorted. Enum: "Asc", "Desc" - `nextOffset` (integer) The value to use for offset to get the next page following the current page or null if this page is the last. ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 500 fields